<div class="plc">
    <div class="plc-menu">
                {{outputTargetTitle}}
    </div>
    <div class="target-move-module oee-move-module move-module cut-height"
         ng-class="{'transform-animateOut':bodyConfig.animateOut , 'transform-select':bodyConfig.animateSelect }">
        <div class="plc-content output-statement-heading">
            <div class="row">
                <div class="col-sm-12">
                    <div class="public-horizon-form">
                        <div class="public-horizon">
                            <label class="horizon-label label-4"><span class="text-red">*</span>生产区域：</label>
                            <div class="horizon-group horizon-col-3">
                                <ui-select class="andon-content-ui-select" ng-change="workCenterChanged($select);" ng-model="config.currentWorkCenter">
                                    <ui-select-match placeholder="--- 请选择 ---">
                                        <!--config.currentWorkCenter.workCenter ||-->
                                        <span ng-bind="config.currentWorkCenter.description"></span>
                                    </ui-select-match>
                                    <!-- <ui-select-header>请选择</ui-select-header> -->
                                    <ui-select-no-choice>
                                        <a href ng-click="$select.toggle($event);">暂无数据</a>
                                    </ui-select-no-choice>
                                    <ui-select-choices repeat="item in (config.workCenters) track by $index">
                                        <span ng-bind-html="item.descriptionNew | highlight: $select.search"></span>
                                    </ui-select-choices>
                                </ui-select>
                            </div>
                            <label class="horizon-label label-4">拉线：</label>
                            <!--<div class="horizon-group horizon-col-3">-->
                                <!--<ui-select multiple class="andon-content-ui-select" ng-placeholder="请输入" ng-change="lineChanged($select);" ng-model="config.currentLine">-->
                                    <!--<ui-select-match placeholder="&#45;&#45; 请选择 &#45;&#45; 可多选">-->
                                        <!--&lt;!&ndash;config.currentLine.workCenter ||&ndash;&gt;-->
                                        <!--<span ng-bind="$item.description"></span>-->
                                    <!--</ui-select-match>-->
                                    <!--<ui-select-no-choice>-->
                                        <!--<a href ng-click="$select.toggle($event);">-->
                                            <!--<span ng-click="tipSelectClick('line');" ng-if="!config.currentWorkCenter.workCenter" class="no-action-color">请先选择生产区域</span>-->
                                            <!--<span ng-if="!!config.currentWorkCenter.workCenter" class="no-data-color">该生产区域暂无拉线</span>-->
                                        <!--</a> -->
                                    <!--</ui-select-no-choice>-->
                                    <!--<ui-select-choices repeat="item in (config.lines | filter: $select.search) track by $index">-->
                                        <!--<span ng-bind-html="item.descriptionNew | highlight: $select.search"></span>-->
                                    <!--</ui-select-choices>-->
                                <!--</ui-select>-->
                            <!--</div>-->
                            <div class="horizon-group horizon-col-3">
                                <div class="nbox-group-input andon-input-wrapper" ng-class="{'focus':(lineInput)}">
                                    <input ng-init="lineInput=false" ng-focus="lineInput=true"
                                           ng-keyup="upModel('workLine')" ng-disabled="true"
                                           ng-blur="lineInput=false" type="text" value="" placeholder="搜索"
                                           class="form-control ad-left-child" ng-model="config.currentLineDesc"
                                           ng-change="lineChanged()">
                                    <i class="fa fa-search ad-right-child focus" ng-click="toWireLineHelp()"
                                       ng-if="config.showSelectLine"></i>
                                    <i class="ion-ios-close-outline ad-right-child focus" ng-click="deleteAll('line')"
                                       ng-if="!config.showSelectLine"></i>
                                </div>
                            </div>
                            <label class="horizon-label label-4">设备类型：</label>
                            <div class="horizon-group horizon-col-3">
                                <ui-select class="andon-content-ui-select"  ng-change="deviceTypeChanged($select);" ng-model="config.currentDeviceType">
                                    <ui-select-match placeholder="--- 请选择 ---">
                                        <!--config.currentDeviceType.resourceType ||-->
                                        <span ng-bind="config.currentDeviceType.description"></span>
                                    </ui-select-match>
                                    <ui-select-no-choice>
                                        <a href ng-click="$select.toggle($event);"><span class="no-data-color">暂无数据</span></a>
                                    </ui-select-no-choice>
                                    <ui-select-choices repeat="item in (config.deviceTypes) track by $index">
                                        <span ng-bind-html="item.descriptionNew | highlight: $select.search"></span>
                                    </ui-select-choices>
                                </ui-select>
                            </div>
                            <label class="horizon-label label-4">设备编码：</label>
                            <div class="horizon-group horizon-col-3">
                                <ui-select  ng-placeholder="请输入"
                                            class="andon-ui-mutiply-select"
                                            ng-change="deviceNumChanged($select);"
                                            ng-model="config.currentDeviceNum">
                                    <ui-select-match placeholder="-- 请选择 --">
                                        <span ng-bind="config.currentDeviceNum.resrce || config.currentDeviceNum.description"></span>
                                    </ui-select-match>
                                    <ui-select-no-choice>
                                        <a href ng-click="$select.toggle($event);">
                                            <span ng-click="tipSelectClick('deviceNum');" ng-if="!config.currentWorkCenter.workCenter" class="no-action-color">请先选择生产区域</span>
                                            <span ng-if="!!config.currentWorkCenter.workCenter || !!config.currentLine.workCenter" class="no-data-color">暂无设备号</span>
                                        </a>
                                    </ui-select-no-choice>
                                    <ui-select-choices repeat="item in (config.deviceNums) track by $index">
                                        <span ng-bind-html="item.descriptionNew | highlight: $select.search"></span>
                                    </ui-select-choices>
                                </ui-select>
                            </div>
                        </div>
                        
                        <div class="public-horizon">
                            <label class="horizon-label label-4"><span class="text-red">*</span>物料编码：</label>
                            <div class="horizon-group horizon-col-3">
                                <div class="nbox-group-input andon-input-wrapper" ng-class="{'focus':(focusInput)}">
                                    <input ng-init="focusInput=false" ng-focus="focusInput=true"  ng-blur="focusInput=false" type="text" value="" placeholder="搜索" class="form-control ad-left-child" ng-change="materialCodeChanged();" ng-model="config.currentMaterialCode.item">
                                    <i class="fa fa-search ad-right-child focus" ng-click="modalQueryMaterialsCode()"></i>
                                </div>
                            </div>

                            <label class="horizon-label label-4">开始日期：</label>
                            <div class="horizon-group horizon-col-3">
                                <input type="text" value="" id="startDate"
                                       class="form-control"
                                       ng-model="config.queryManDateStart"
                                       ng-init="initDateTimePicker('#startDate', {},'Y-m-d',false,false);"/>
                            </div>

                            <label class="horizon-label label-4">结束日期：</label>
                            <div class="horizon-group horizon-col-3">
                                <input type="text" value="" id="endDate"
                                       class="form-control"
                                       ng-model="config.queryManDateEnd"
                                       ng-init="initDateTimePicker('#endDate', {},'Y-m-d',false,false);"/>
                            </div>

                            <label class="horizon-label label-4"><span class="text-red">*</span>班次：</label>
                            <div class="horizon-group horizon-col-3">
                                <ui-select ng-change="banCiChanged($select);"
                                           class="andon-ui-shift-select"
                                           ng-model="config.currentShift">
                                    <ui-select-match placeholder="--- 请选择 ---">
                                        <span ng-bind="config.currentShift.description || config.currentShift.shift"></span>
                                    </ui-select-match>
                                    <ui-select-no-choice>
                                        <a href ng-click="$select.toggle($event);">
                                            <span ng-if="!config.currentWorkCenter.workCenter" class="no-action-color">请先选择生产区域</span>
                                            <span ng-if="!!config.currentWorkCenter.workCenter" class="no-data-color">暂无班次</span>
                                        </a>
                                    </ui-select-no-choice>
                                    <ui-select-choices repeat="item in (config.shifts) track by $index">
                                        <span ng-bind-html="item.descriptionNew | highlight: $select.search"></span>
                                    </ui-select-choices>
                                </ui-select>
                            </div>
                        </div>

                        <div class="public-horizon">
                            <div class="horizon-btns">
                                <button ng-disabled="config.btnDisabledQuery" ng-click="queryDatas();" class="btn btn-primary">查询</button>
                            </div>
                            <div class="horizon-btns">
                                <button ng-disabled="config.btnDisabledDelete" ng-click="deletedRows();" class="btn btn-primary" ng-if="config.canEdit">删除</button>
                            </div>
                            <div class="horizon-btns">
                                <button ng-disabled="config.btnDisabledAdd" class="btn btn-primary" ng-click="modalOutputTarget()" ng-if="config.canEdit">新增</button>
                            </div>
                        </div>


                    </div>
                </div>
            </div>
        </div>
    </div>
    <move-template></move-template>
    <div class="plc-content">
        <div class="row">

            <div class="col-sm-12">
                <div class="public-horizon-form">
                    <div class="public-horizon" ng-if="config.canEdit">
                        <label class="horizon-label label-4">
                            <span class="text-red">*</span>目标产出：</label>
                        <div class="horizon-group horizon-col-3">
                            <input ng-model="config.targetOutput" type="number" class="form-control"/>
                        </div>
                        <div class="horizon-btns">
                            <button ng-disabled="config.btnDisabledEdit" ng-click="editHandle();" class="btn btn-primary">一键编辑</button>
                        </div>
                        <div class="horizon-btns horizon-save-btns">
                            <button ng-disabled="config.btnDisabledSave" ng-click="saveAllAcitons();" class="btn btn-primary">保存</button>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-sm-12">
                <div class="andon-grid">
                    <div id="plc-data-item-grid" ui-grid="gridOutputTarget"
                         ui-grid-edit ui-grid-cellnav ui-grid-selection
                         ui-grid-pagination ui-grid-validate ui-grid-auto-resize
                         ui-grid-resize-columns
                         class="plc-data-item-grid ad-basic-grid myLittleGrid" ></div>
                </div>
            </div>
        </div>
    </div>
</div>

<!-- ui-grid-pagination  ui-grid-row-edit -->
<script type="text/ng-template" id="ModalOutputTarget.html">
    <div class="modal-body out-put-target-modal">
        <div class="row">
            <div class="col-sm-6">
                <div class="chat-group">
                    <div class="chat-user-title title-select-resource">选择设备</div>
                    <div class="">
                        <div ui-grid="selectResourceOptions" class="myMiddleGrid"
                             ui-grid-edit ui-grid-cellnav ui-grid-selection
                             ui-grid-resize-columns ui-grid-auto-resize></div>
                        <!--<div class="chat-users">-->
                            <!--<div class="chat-user-scroll">-->
                                <!--<div class="chat-user-scroll-text">-->
                                    <!-- -->
                                <!--</div>-->
                            <!--</div>-->
                        <!--</div>-->
                    </div>
                </div>
            </div>
            <div class="col-sm-6">
                <div class="chat-group">
                    <div class="chat-user-title title-target-maintain">维护产出目标</div>
                    <div class="">
                        <div class="chat-users">
                            <div class="chat-user-scroll">
                                <div class="">
                                    <div class="public-horizon-form">
                                        <div class="public-horizon">
                                            <label class="horizon-label label-4"><span class="text-red">*</span>物料编码：</label>
                                            <div class="horizon-group horizon-col-8">
                                                <span class="form-control" ng-bind="config.materialCode.item"></span>
                                            </div>
                                        </div>
                                        <div class="public-horizon">
                                            <label class="horizon-label label-4"><span class="text-red">*</span>目标产出：</label>
                                            <div class="horizon-group horizon-col-8">
                                                <input type="number" ng-model="config.targetOutput" class="form-control"
                                                       ng-keyup="targetOutputChanged()"/>
                                            </div>
                                        </div>
                                        <div class="public-horizon">
                                            <label class="horizon-label label-4"><span class="text-red">*</span>日期：</label>
                                            <div class="horizon-group horizon-col-8">
                                                <input type="text" value="" id="outputDate"
                                                       class="form-control"
                                                       ng-model="config.modalOutputDate"
                                                       ng-change="targetOutputChanged()"
                                                       ng-init="initDateTimePicker('#outputDate', {},'Y-m-d',false,false);"/>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="modal-footer">
        <!--<button ng-disabled="config.btnDisabledOk" class="btn btn-primary" type="button" ng-click="ok()">确定</button>-->
        <!--<button class="btn btn-warning" type="button" ng-click="cancel()">取消</button>-->

        <div class="col-sm-6 flex-center">
            <button class="btn btn-primary col-xs-6" type="button" ng-click="ok()" ng-disabled="config.btnDisabledOk">确定</button>
        </div>
        <div class="col-sm-6 flex-center">
            <button class="btn btn-warning col-xs-6" type="button" ng-click="cancel()">取消</button>
        </div>
    </div>
</script>